def update_events(simulation, adhoc_events: list = []):
    if len(adhoc_events) > 0:
        # print("Found adhoc events in campaign. Needs some special processing behind the scenes.")
        # logger.debug("Found adhoc events in campaign. Needs some special processing behind the scenes.")
        if "Custom_Individual_Events" in simulation.task.config.parameters:
            simulation.task.config.parameters.Custom_Individual_Events = [x for x in adhoc_events.keys()]
        else:
            reverse_map = {}
            for user_name, builtin_name in adhoc_events.items():
                reverse_map[builtin_name] = user_name
            simulation.task.config.parameters["Event_Map"] = reverse_map


def init_camp(camp):
    camp.campaign_dict = {}
    camp.campaign_dict["Events"] = []
    camp.campaign_dict["Use_Defaults"] = 1


def post_add_camp(simulation, camp):
    update_events(simulation, camp.get_adhocs())
    init_camp(camp)
